# List Pipelines

Returns a list of Pipelines.

Endpoint: GET /v1/orgs/{org}/projects/{project}/pipelines
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Query parameters:

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items on each page.

  - `limit` (integer)
    Pagination: Number of items to return.

  - `search_term` (string)
    This would be used to filter resources having attributes matching the search term.

  - `sort` (string)
    Parameter on the basis of which sorting is done.
    Enum: "name", "updated"

  - `order` (string)
    Order on the basis of which sorting is done.
    Enum: "ASC", "DESC"

  - `module` (string)
    Harness module which is part of the Pipeline.
    Enum: "CD", "CI", "CV", "CF", "CE", "STO"

  - `filter_identifier` (string)
    Identifier of a saved Filter.

  - `pipeline_identifiers` (array)
    List of Pipeline identifiers on the basis of which the Pipelines are filtered.

  - `name` (string)
    Pipeline Name on the basis of which the Pipelines are filtered.

  - `description` (string)
    Pipeline Description on the basis of which the Pipelines are filtered.

  - `tags` (array)
    Filter tags as a key:value pair.
    Example: "key:value"

  - `service_names` (array)
    Service names on the basis of which the Pipelines are filtered. [CD]

  - `env_names` (array)
    Names of Environments on the basis of which the Pipelines are filtered. [CD]

  - `deployment_type` (string)
    Deployment type on the basis of which the Pipelines are filtered. [CD]

  - `repository` (string)
    Repository name on the basis of which the Pipelines are filtered. [CI]

## Response 200 fields (application/json):

  - `identifier` (string)
    Pipeline identifier

  - `name` (string)
    Pipeline name

  - `description` (string)
    Pipeline description

  - `tags` (object)
    Pipeline tags

  - `created` (integer)
    Creation timestamp for Pipeline.

  - `updated` (integer)
    Last modification timestamp for Pipeline.

  - `modules` (array)
    Modules utilised in the Pipeline.

  - `recent_execution_info` (array)
    Array of recent Execution information

  - `recent_execution_info.executor_info` (object)
    Information regarding Executor of Pipeline.

  - `recent_execution_info.executor_info.trigger_type` (string)
    Trigger type
    Enum: "NOOP", "MANUAL", "WEBHOOK", "WEBHOOK_CUSTOM", "SCHEDULER_CRON"

  - `recent_execution_info.executor_info.username` (string)
    Username of the Executor.

  - `recent_execution_info.executor_info.email` (string)
    Email address of the Executor.

  - `recent_execution_info.execution_id` (string)
    Execution identifier

  - `recent_execution_info.execution_status` (string)
    Last Execution status of the Pipeline.
    Enum: "Running", "AsyncWaiting", "TaskWaiting", "TimedWaiting", "Failed", "Errored", "IgnoreFailed", "NotStarted", "Expired", "Aborted", "Discontinuing", "Queued", "Paused", "ResourceWaiting", "InterventionWaiting", "ApprovalWaiting", "Success", "Suspended", "Skipped", "Pausing", "ApprovalRejected", "InputWaiting", "NOT_STARTED", "INTERVENTION_WAITING", "APPROVAL_WAITING", "APPROVAL_REJECTED", "Waiting"

  - `recent_execution_info.started` (integer)
    Start timestamp of Execution

  - `recent_execution_info.ended` (integer)
    End timestamp of Execution

  - `recent_execution_info.run_number` (integer)
    The Execution number of this Pipeline.

  - `recent_execution_info.parent_stage_info` (object)
    Information about parent pipeline

  - `recent_execution_info.parent_stage_info.has_parent_pipeline` (boolean)
    boolean to describe whether or not this was executed through pipeline chaining

  - `recent_execution_info.parent_stage_info.execution_id` (string)
    planExecutionId of parent pipeline execution

  - `recent_execution_info.parent_stage_info.identifier` (string)
    pipeline identifier of parent pipeline

  - `recent_execution_info.parent_stage_info.project_id` (string)
    project identifier

  - `recent_execution_info.parent_stage_info.org_id` (string)
    org identifier

  - `recent_execution_info.parent_stage_info.run_sequence` (integer)
    run sequence of parent pipeline execution

  - `recent_execution_info.parent_stage_info.stage_node_id` (string)
    node id of parent pipeline stage

  - `store_type` (string)
    Specifies whether the Entity is to be stored in Git or not (for Git Experience).
    Enum: "INLINE", "REMOTE"

  - `connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity (for Git Experience).

  - `valid` (boolean)
    Specifies whether Pipeline is a valid or not.

  - `git_details` (object)
    Git Experience related details of the Entity.

  - `git_details.object_id` (string)
    Object identifier / blob id

  - `git_details.branch_name` (string)
    Name of the branch.

  - `git_details.file_path` (string)
    File path of the Entity in the repository.

  - `git_details.repo_name` (string)
    Name of the repository.

  - `git_details.commit_id` (string)
    Latest commit identifier.

  - `git_details.file_url` (string)
    File URL of the Entity.

  - `git_details.repo_url` (string)
    Repository URL of the Entity.

  - `yaml_version` (string)


